> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Management Account

> Create a new management account.



## OpenAPI

````yaml /api/openapi-finindex.json post /management-accounts
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /management-accounts:
    post:
      tags:
        - Management Accounts
      summary: Create Management Account
      description: Create a new management account.
      operationId: create_management_account_management_accounts_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagementAccountCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagementAccountResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ManagementAccountCreate:
      properties:
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        category:
          type: string
          title: Category
        parentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentid
        level:
          type: integer
          title: Level
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
          default: true
      type: object
      required:
        - code
        - name
        - category
        - level
      title: ManagementAccountCreate
    ManagementAccountResponse:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        category:
          type: string
          title: Category
        parent:
          anyOf:
            - $ref: '#/components/schemas/ManagementAccountParent'
            - type: 'null'
        parentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentid
        level:
          type: integer
          title: Level
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        child_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Child Count
      type: object
      required:
        - id
        - code
        - name
        - category
        - level
      title: ManagementAccountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagementAccountParent:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: ManagementAccountParent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````